(async () => {
	"use strict";
	const notification_options = Object.create(null, {
		"type": {
			"value": "basic",
			"enumerable": true
		},
		"title": {
			"value": "Test Notification Title",
			"enumerable": true
		},
		"message": {
			"value": "Test Notification Message",
			"enumerable": true
		}
	});
	const show_notification = () => {
		const notification_ID = Date.now().toString();
		const console_message = "Bugzilla@Mozilla Bug 1338490 Extension: A notification was created.";
		browser.notifications.create(notification_ID, notification_options);
		/* Note 1: An author may try to use an ID to modify an existing notification to compensate for the missing |notifications.update| method.
		   See https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/notifications/update. */
		/* Note 2: An oblique reference to this technique is found at https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/notifications/create:
		   “If you call notifications.create() more than once in rapid succession, Firefox may end up not displaying any notification at all.”
		   The notifications are, in fact, displayed, but are positioned off‐screen. */
		browser.notifications.create(notification_ID, notification_options);
		console.log(console_message);
	};
	browser.commands.onCommand.addListener(show_notification);
})();